@import url('https://fonts.googleapis.com/css2?family=Alan+Sans:wght@300..900&display=swap');

:root {
    --primario: rgb(22, 54, 26);
    --secundario: #75531f;
    --fondos: #e9e1d6d8;
    --fondoPrincipal: #e2dacfd8;
}

/* RESET */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Alan Sans", sans-serif;
}


/* MACRO */

body {
    background-color: var(--fondoPrincipal);
}

section {
    padding: 4rem 1rem;
}

h1{
    color: var(--primario);
    font-weight: 700;
    font-size: 3.5rem;
    text-shadow: 3px 3px 5px rgba(51, 31, 2, 0.671);
}

h2{
    color: var(--primario);
    font-weight: 700;
    font-size: 3rem;
    text-shadow: 3px 3px 5px rgba(51, 31, 2, 0.671);

}

h3 {
    color: var(--secundario);
    font-size: 2.5rem;
    text-shadow: 2px 1px 2px rgba(51, 31, 2, 0.671);
}

span {
    color: var(--secundario);
}

p  {
    font-size: 1.5rem;

}

ul{
    font-size: 1.2rem;
    list-style: none;

}



/*----------------------PORTADA----------------------*/
#portada {
    position: relative; /* Permite que el ::before se posicione tomando a #planes como referencia */
    background-image: url(img/FondoPortada.avif); /* Imagen de fondo de la sección */
    background-size: cover; /* La imagen cubre toda la sección sin deformarse */
    background-position: center; /* Centra la imagen para que no se corte raro */
}

#portada::before {
    content: ""; /* Necesario para que el pseudo-elemento exista */
    position: absolute; /* Permite ubicarlo libremente dentro de #planes */
    inset: 0; /* Ocupa todo el ancho y alto de la sección (top, right, bottom, left en 0) */
    background-color: rgba(233, 225, 214, 0.548); /* Color con transparencia (overlay) */
    z-index: 1; /* Capa intermedia: arriba de la imagen, debajo del contenido */
}

#portada > * {
    position: relative; /* Habilita el uso de z-index */
    z-index: 2; /* Hace que el contenido quede por encima del overlay */
}

.nav-item {
    color: white;
    background-color: var(--primario);
    padding: 10px 15px;
    border-radius: 5px;
    text-decoration: none;
    font-size: 1.4rem;
}

.nav-item:hover {
    background-color: var(--secundario);
    color: whitesmoke;
}


#tituloPortada {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#fotosPortada {
    position: relative;
    
}

#fotosPortada img:first-child {
    width: 100%;
    border-radius: 10px;
    box-shadow:5px 5px 3px rgba(0, 0, 0, 0.671);
}

#fotosPortada img:last-child {
    width: 280px;
    position: absolute;
    bottom: -20px;
    left: -60px;
    transform: rotate(-15deg);
    box-shadow:5px 5px 3px rgba(0, 0, 0, 0.671);
}

/*----------------------FUNCIONALIDAD----------------------*/
#funcionalidad article img {
    width: 100%;
    height: 200px;
    object-fit: cover;
    }

#funcionalidad article{
    box-shadow:1px 1px 3px rgba(0, 0, 0, 0.671);
    background-color: var(--fondos);
    padding: 1rem;
}

/*----------------------PLANES----------------------*/

.card-plan {
    background-color: var(--fondos);
    padding: 2rem;
    border-radius: 10px;
    box-shadow:1px 1px 3px rgba(0, 0, 0, 0.671);
}

.card-plan ul {
    list-style: none;
    padding: 0;
}

.card-plan li {
    margin-bottom: 0.5rem;
}

.precio {
    font-size: 2rem;
    font-weight: bold;
}

.btnComprar {
    display: inline-block;
    color: var(--primario);
    text-decoration: none;
    font-size: 1.7rem;
    font-weight: 600;
}

.btnComprar:hover{
    color: var(--secundario);
}

/* FONDO */

#planes {
    position: relative; /* Permite que el ::before se posicione tomando a #planes como referencia */
    background-image: url(img/FondoPlanes.jpg); /* Imagen de fondo de la sección */
    background-size: cover; /* La imagen cubre toda la sección sin deformarse */
    background-position: center; /* Centra la imagen para que no se corte raro */
}

#planes::before {
    content: ""; /* Necesario para que el pseudo-elemento exista */
    position: absolute; /* Permite ubicarlo libremente dentro de #planes */
    inset: 0; /* Ocupa todo el ancho y alto de la sección (top, right, bottom, left en 0) */
    background-color: rgba(233, 225, 214, 0.589); /* Color con transparencia (overlay) */
    z-index: 1; /* Capa intermedia: arriba de la imagen, debajo del contenido */
}

#planes > * {
    position: relative; /* Habilita el uso de z-index */
    z-index: 2; /* Hace que el contenido quede por encima del overlay */
}

/*----------------------FOOTER----------------------*/
footer {
    background-color: var(--primario);
    color: white;
    text-align: center;
    padding: 2rem;
}

footer h2{
    color: whitesmoke;
    font-size: 2.5rem;
    text-shadow: 4px 4px 5px rgba(0, 0, 0, 0.671);

}

footer a {
    color: white;
    font-size: 2rem;
    margin: 0 10px;
    text-shadow: 4px 4px 5px rgba(0, 0, 0, 0.671);
}

footer a:hover{
    color: var(--secundario);
}

/* RESPONSIVE */
@media (max-width: 768px) {
    #fotosPortada img:last-child {
        display: none;
    }
}